Subject: Re: linux-next: warning from build

From: James Bottomley <[email-masked]>
Date: Mon, 10 Nov 2008 15:15:49 -0500

On Mon, 2008-11-10 at 10:52 -0800, Anirban Chakraborty wrote:
> On Nov 9, 2008, at 8:25 PM, Stephen Rothwell wrote:
> 
> > Hi James,
> >
> > The current linux-next build (x86_64 allmodconfig) produces this  
> > warning:
> >
> > drivers/scsi/qla2xxx/qla_os.c: In function 'qla2x00_probe_one':
> > drivers/scsi/qla2xxx/qla_os.c:1582: warning: 'mem_only' is used  
> > uninitialized in this function
> >
> > Caused by commit 00aeec5c93a80145cfa939bb9c9e244b207cb48c ("[SCSI]
> > qla2xxx: Code changes for qla data structure refactoring") which  
> > removed
> > the initialisation of mem_only.
> 
> I am really sorry about that. James, should I resubmit the patch or  
> send a patch against
> 00aeec5c93a80145cfa939bb9c9e244b207cb48c commit?

Either is fine ... If you send a separate patch, I'll fold it into the
relevant commit anyway.

James